﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Media.Imaging;

namespace Carrousel1
{
 public partial class Page : UserControl
 {
  public Page()
  {
   InitializeComponent();
  }
  int nFirst = 0;
  Image[] tabImages;

  void Page_MouseLeftButtonDown(object sender, MouseButtonEventArgs e)
  {
   Image img = (Image)sender;
   
   string s = (string)img.Tag; 
   tb.Text = s;
   s += ".jpg";
   bigImage.Source = new BitmapImage(new Uri(s, UriKind.Relative));
   stbBig.Begin();
  }

  void Page_MouseLeave(object sender, MouseEventArgs e)
  {
   stb.Resume();
  }

  void Page_MouseEnter(object sender, MouseEventArgs e)
  {
   stb.Pause();
  }

  void stb_Completed(object sender, EventArgs e)
  {
   tabImages[nFirst].SetValue(Canvas.LeftProperty, 770.0);
   nFirst = (nFirst + 1) % 8;
   stb.Begin();
  }

  private void LayoutRoot_Loaded(object sender, RoutedEventArgs e)
  {
   tabImages = new Image[8];
   for (int i = 0; i < 8; i++)
   {
    tabImages[i] = (Image)FindName("img" + i);
    tabImages[i].Cursor = Cursors.Hand;
    tabImages[i].MouseEnter += new MouseEventHandler(Page_MouseEnter);
    tabImages[i].MouseLeave += new MouseEventHandler(Page_MouseLeave);
    tabImages[i].MouseLeftButtonDown += new MouseButtonEventHandler(Page_MouseLeftButtonDown);
   }
   stb.Begin();
  }
 }
}
